Skip to main content
POST
/
api_keys
Create Api Key
curl --request POST \
  --url http://0.0.0.0:8000/api_keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "key": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id_user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
organization_id
string<uuid> | null
expires_at
string<date-time> | null

Response

Successful Response

id
string<uuid>
required
name
string
required
key
string
required
created_at
string<date-time>
required
organization_id
string<uuid>
required
id_user
string<uuid>
required
expires_at
string<date-time> | null
required